> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/device/general/enroll-updatable-assets.md).

# 更新可能な資産を登録

このデバイスを Windows Update for Business に登録します

### 説明

選択した更新カテゴリについて、このデバイスを Windows Update for Business の更新可能なアセットとして登録します。これにより、Intune でこのデバイスのドライバー更新、機能更新、または品質更新を管理できます。All は、ドライバー、機能、および品質更新に登録します。

### 場所

デバイス → 全般 → 更新可能なアセットの登録

**フル Runbook 名**

rjgit-device\_general\_enroll-updatable-assets

### 詳細

| プロパティ    | 値                                   |
| -------- | ----------------------------------- |
| バージョン    | 1.0.2                               |
| 必要なモジュール | RealmJoin.RunbookHelper (>= 0.8.10) |
| スケジュール可能 | いいえ                                 |

### アクセス許可

#### アプリケーションのアクセス許可

* **種類**: Microsoft Graph
  * WindowsUpdates.ReadWrite.All
    * *updatableAssets/enrollAssets を使用して、更新カテゴリごとにデバイスを登録します*

### パラメーター

#### DeviceId

この runbook が操作するデバイスの Entra ID デバイス ID です。ポータルで選択したデバイスから設定されます。

| プロパティ    | 値                          |
| -------- | -------------------------- |
| 必須       | true                       |
| 既定値      |                            |
| 種類       | 文字列                        |
| ポータルで非表示 | はい（runbook のカスタマイズ経由で事前設定） |

#### UpdateCategory

デバイスを登録する更新カテゴリ。All は、ドライバー、機能、および品質更新に登録します。

| プロパティ   | 値      |
| ------- | ------ |
| 必須      | true   |
| 既定値     | 機能     |
| 種類      | 文字列    |
| ポータル表示名 | 更新カテゴリ |

[Runbook リファレンスの概要に戻る](/ja/zi-dong-hua/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/device/general/enroll-updatable-assets.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
